.upload-section {
    padding: 1rem;
    min-height: 250px;
    margin-bottom: 1rem;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    /*  */
    background-color: #f9f9f9;
    border: dashed 2px #ddd;

    text-align: center;
    position: relative;
    border-radius: 5px;
    box-sizing: border-box;
    gap: 1rem;
}
.upload-section > p {
    margin: unset;
}

.file-preview-row {
    display: flex;
    align-items: center;
    padding: 12px 20px;
    border: 1px solid #ddd;
    border-radius: 10px;
    background-color: #fff;
    margin: 10px 0;
    gap: 16px;
    box-shadow: 0 1px 4px rgba(0, 0, 0, 0.05);
    font-family: 'Segoe UI', sans-serif;
}

.file-icon img {
    width: 28px;
    height: 28px;
}

.file-name {
    flex: 1;
    font-size: 14px;
    color: #333;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.file-status {
    font-size: 12px;
    padding: 4px 8px;
    border-radius: 4px;
    font-weight: bold;
    text-transform: uppercase;
}

/* .file-status.ready {
    color: #27ae60;
    border: 1px solid #27ae60;
    background-color: #eafaf1;
} */

.file-size {
    font-size: 13px;
    color: #999;
    white-space: nowrap;
}

.file-remove-btn {
    background: none;
    border: none;
    color: #aaa;
    font-size: 18px;
    cursor: pointer;
    padding: 0 6px;
    transition: color 0.2s;
}

.file-remove-btn:hover {
    color: #e74c3c;
}
@media (max-width: 360px) {
    .file-preview-row{
        flex-direction: column;
    }
}